gnome-shell filling up syslog with thousands/millions of entries with stack traces ending in osdWindow.js (lines 206/207 in bionic, lines 223/224 in cosmic)

Bug #1772677 reported by strangedata
168
This bug affects 30 people
Affects Status Importance Assigned to Milestone
gnome-shell (Ubuntu)
Fix Released
High
Marco Trevisan (Treviño)
Bionic
Fix Released
Undecided
Marco Trevisan (Treviño)

Bug Description

[Impact]

I'm seeing a several gigs (more than 70GB) a day of org.gnome.Shell.desktop log entries.

https://gitlab.gnome.org/GNOME/gnome-shell/issues/602

[Test Case]

With 2 monitors connected, simply lock the screen and leave it locked for a while. The error messages will be logged into syslog until all the empty space is filled up.

More info:
https://gitlab.gnome.org/GNOME/gnome-shell/merge_requests/243

[Regression Potential]

Low. The fix (https://gitlab.gnome.org/GNOME/gnome-shell/merge_requests/243) is a minor correction to window destroy logic, written by the main Gnome Shell maintainer.

[Original Description]

I'm seeing a several gigs (more than 70GB) a day of the following entries on syslog:

May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: == Stack trace for context 0x557ebb0a3320 ==
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #0 0x7ffcc6cedf80 I resource:///org/gnome/shell/ui/osdWindow.js:206 (0x7f31f00c96f8 @ 231)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #1 0x7ffcc6cedff0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f31d4db5de0 @ 71)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #2 0x7ffcc6cedff0 I self-hosted:915 (0x7f31d4df12b8 @ 367)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #3 0x7ffcc6cee090 I resource:///org/gnome/gjs/modules/signals.js:128 (0x7f31d4dd3230 @ 386)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #4 0x7ffcc6cee140 b resource:///org/gnome/shell/ui/layout.js:531 (0x7f31f00042b8 @ 127)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #5 0x7ffcc6cee1b0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f31d4db5de0 @ 71)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #6 0x7ffcc6cee1b0 I self-hosted:915 (0x7f31d4df12b8 @ 367)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: == Stack trace for context 0x557ebb0a3320 ==
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #0 0x7ffcc6cedf80 I resource:///org/gnome/shell/ui/osdWindow.js:207 (0x7f31f00c96f8 @ 258)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #1 0x7ffcc6cedff0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f31d4db5de0 @ 71)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #2 0x7ffcc6cedff0 I self-hosted:915 (0x7f31d4df12b8 @ 367)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #3 0x7ffcc6cee090 I resource:///org/gnome/gjs/modules/signals.js:128 (0x7f31d4dd3230 @ 386)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #4 0x7ffcc6cee140 b resource:///org/gnome/shell/ui/layout.js:531 (0x7f31f00042b8 @ 127)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #5 0x7ffcc6cee1b0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f31d4db5de0 @ 71)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #6 0x7ffcc6cee1b0 I self-hosted:915 (0x7f31d4df12b8 @ 367)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: == Stack trace for context 0x557ebb0a3320 ==
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #0 0x7ffcc6cedf80 I resource:///org/gnome/shell/ui/osdWindow.js:206 (0x7f31f00c96f8 @ 231)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #1 0x7ffcc6cedff0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f31d4db5de0 @ 71)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #2 0x7ffcc6cedff0 I self-hosted:915 (0x7f31d4df12b8 @ 367)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #3 0x7ffcc6cee090 I resource:///org/gnome/gjs/modules/signals.js:128 (0x7f31d4dd3230 @ 386)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #4 0x7ffcc6cee140 b resource:///org/gnome/shell/ui/layout.js:531 (0x7f31f00042b8 @ 127)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #5 0x7ffcc6cee1b0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f31d4db5de0 @ 71)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #6 0x7ffcc6cee1b0 I self-hosted:915 (0x7f31d4df12b8 @ 367)
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: == Stack trace for context 0x557ebb0a3320 ==
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #0 0x7ffcc6cedf80 I resource:///org/gnome/shell/ui/osdWindow.js:207 (0x7f31f00c96f8 @ 258)
May 21 23:54:55 fc553042 gnome-shell[1469]: Object St.Icon (0x557eca1b2e90), has been already finalized. Impossible to set any property to it.
May 21 23:54:55 fc553042 org.gnome.Shell.desktop[1469]: #1 0x7ffcc6cedff0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f31d4db5de0 @ 71)

gnome-shell:
  Installed: 3.28.1-0ubuntu2
  Candidate: 3.28.1-0ubuntu2
  Version table:
 *** 3.28.1-0ubuntu2 500
        500 http://br.archive.ubuntu.com/ubuntu bionic/main amd64 Packages
        100 /var/lib/dpkg/status

No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04 LTS
Release: 18.04
Codename: bionic

There's similar bug that should be related to this one https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1747566 but that fix didn't work for me.
---
ApportVersion: 2.20.9-0ubuntu7
Architecture: amd64
DisplayManager: gdm3
DistroRelease: Ubuntu 18.04
EcryptfsInUse: Yes
GsettingsChanges:
 b'org.gnome.shell' b'enabled-extensions' b"['<email address hidden>']"
 b'org.gnome.shell' b'app-picker-view' b'uint32 1'
 b'org.gnome.shell' b'favorite-apps' redacted by apport
 b'org.gnome.desktop.interface' b'toolkit-accessibility' b'true'
 b'org.gnome.desktop.interface' b'gtk-im-module' b"'gtk-im-context-simple'"
InstallationDate: Installed on 2017-10-24 (211 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Release amd64 (20171018)
Package: gnome-shell 3.28.1-0ubuntu2
PackageArchitecture: amd64
ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
Tags: bionic
Uname: Linux 4.15.0-22-generic x86_64
UpgradeStatus: Upgraded to bionic on 2018-05-03 (20 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True

strangedata (rcteigao)
description: updated
Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please execute the following command only once, as it will automatically gather debugging information, in a terminal:

apport-collect 1772677

When reporting bugs in the future please use apport by using 'ubuntu-bug' and the name of the package affected. You can learn more about this functionality at https://wiki.ubuntu.com/ReportingBugs.

Changed in gnome-shell (Ubuntu):
importance: Undecided → High
status: New → Incomplete
Revision history for this message
strangedata (rcteigao) wrote : Dependencies.txt

apport information

tags: added: apport-collected bionic
description: updated
Revision history for this message
strangedata (rcteigao) wrote : ProcCpuinfoMinimal.txt

apport information

Revision history for this message
strangedata (rcteigao) wrote : ProcEnviron.txt

apport information

Revision history for this message
Daniel van Vugt (vanvugt) wrote : Re: gnome-shell filling up syslog with thousands of entries

As other people don't seem to be reporting this bug, and it seems to be a major bug, I wonder if it's caused by the extension "pidgin-persistent-notification".

Please try removing the shell extension "pidgin-persistent-notification" from your machine.

Revision history for this message
strangedata (rcteigao) wrote :
Download full text (14.5 KiB)

Hi,

I've disabled the extension today, and there are no listed extensions running:

gsettings get org.gnome.shell enabled-extensions
@as []

But I'm still seeing tons of messages in syslog, about 2GB on the last 4 hours:

May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #0 0x7ffc8f400140 I resource:///org/gnome/shell/ui/osdWindow.js:207 (0x7f49c40c96f8 @ 258)
May 24 16:30:27 fc553042 gnome-shell[1465]: Object St.BoxLayout (0x55af19d66c50), has been already finalized. Impossible to set any property to it.
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #1 0x7ffc8f4001c0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f49b83b5de0 @ 71)
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #2 0x7ffc8f4001c0 I self-hosted:915 (0x7f49b83f12b8 @ 367)
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #3 0x7ffc8f400260 I resource:///org/gnome/gjs/modules/signals.js:128 (0x7f49b83d3230 @ 386)
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #4 0x7ffc8f400310 b resource:///org/gnome/shell/ui/layout.js:531 (0x7f49c40042b8 @ 127)
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #5 0x7ffc8f400390 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f49b83b5de0 @ 71)
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #6 0x7ffc8f400390 I self-hosted:915 (0x7f49b83f12b8 @ 367)
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: == Stack trace for context 0x55af15762320 ==
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #0 0x7ffc8f400140 I resource:///org/gnome/shell/ui/osdWindow.js:206 (0x7f49c40c96f8 @ 231)
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #1 0x7ffc8f4001c0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f49b83b5de0 @ 71)
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #2 0x7ffc8f4001c0 I self-hosted:915 (0x7f49b83f12b8 @ 367)
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #3 0x7ffc8f400260 I resource:///org/gnome/gjs/modules/signals.js:128 (0x7f49b83d3230 @ 386)
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #4 0x7ffc8f400310 b resource:///org/gnome/shell/ui/layout.js:531 (0x7f49c40042b8 @ 127)
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #5 0x7ffc8f400390 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f49b83b5de0 @ 71)
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #6 0x7ffc8f400390 I self-hosted:915 (0x7f49b83f12b8 @ 367)
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: == Stack trace for context 0x55af15762320 ==
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #0 0x7ffc8f400140 I resource:///org/gnome/shell/ui/osdWindow.js:207 (0x7f49c40c96f8 @ 258)
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #1 0x7ffc8f4001c0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f49b83b5de0 @ 71)
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #2 0x7ffc8f4001c0 I self-hosted:915 (0x7f49b83f12b8 @ 367)
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #3 0x7ffc8f400260 I resource:///org/gnome/gjs/modules/signals.js:128 (0x7f49b83d3230 @ 386)
May 24 16:30:27 fc553042 org.gnome.Shell.desktop[1465]: #4 0x7ffc8f400310 b resource:///org/gnome/shell/ui/layo...

summary: - gnome-shell filling up syslog with thousands of entries
+ gnome-shell filling up syslog with thousands of entries (stack traces
+ ending in osdWindow.js:206/207)
Changed in gnome-shell (Ubuntu):
status: Incomplete → New
Revision history for this message
strangedata (rcteigao) wrote : Re: gnome-shell filling up syslog with thousands of entries (stack traces ending in osdWindow.js:206/207)

Just to confirm, from the time I've disabled the extension yesterday 'till now, about 80GB of log has been generated:

du -sh syslog*
28G syslog
49G syslog.1

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

It's interesting osdWindow.js appears at the top of the stacks.

Do you see any overlay/popups very often?

Does the problem persist after rebooting?

Revision history for this message
strangedata (rcteigao) wrote :

I don't see many popups, just a few gnome-shell notifications (mounted USB stick, etc).

It does persist after rebooting. Rebooted many times since the upgrade.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

OK. FYI here is the offending source code:

    _relayout() {
        /* assume 110x110 on a 640x480 display and scale from there */
        let monitor = Main.layoutManager.monitors[this._monitorIndex];
        if (!monitor)
            return; // we are about to be removed

        let scalew = monitor.width / 640.0;
        let scaleh = monitor.height / 480.0;
        let scale = Math.min(scalew, scaleh);
        let popupSize = 110 * Math.max(1, scale);

        let scaleFactor = St.ThemeContext.get_for_stage(global.stage).scale_factor;
        this._icon.icon_size = popupSize / (2 * scaleFactor);
# ^^^^^^^^^^^ This is the St.Icon the error talks about
        this._box.translation_y = Math.round(monitor.height / 4);
        this._boxConstraint.minSize = popupSize;
    }

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Revision history for this message
David (0xdf) wrote :
Download full text (12.4 KiB)

I'm having a similar issue. Not sure if it's the same bug or not, as my logs are slightly different. I installed 18.04 on a new ssd two days ago. Each time I come back to my machine after leaving it idle, I find my harddrive is full, and syslog has grown to 9-10GB.

The repeating entry looks like:
Jun 13 00:07:19 meeks gnome-shell[2506]: Object St.BoxLayout (0x556792695850), has been already finalized. Impossible to set any property to it.
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: #3 0x7ffd398e1520 I resource:///org/gnome/gjs/modules/signals.js:128 (0x7f741c3d3230 @ 386)
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: #4 0x556790948430 i resource:///org/gnome/shell/ui/layout.js:531 (0x7f741c2042b8 @ 127)
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: #5 0x7ffd398e2130 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f741c3b5de0 @ 71)
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: #6 0x7ffd398e2130 I self-hosted:915 (0x7f741c3f12b8 @ 367)
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: == Stack trace for context 0x5567905a0340 ==
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: #0 0x7ffd398e1420 b resource:///org/gnome/shell/ui/osdWindow.js:207 (0x7f741c2c96f8 @ 258)
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: #1 0x7ffd398e1490 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f741c3b5de0 @ 71)
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: #2 0x7ffd398e1490 I self-hosted:915 (0x7f741c3f12b8 @ 367)
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: #3 0x7ffd398e1520 I resource:///org/gnome/gjs/modules/signals.js:128 (0x7f741c3d3230 @ 386)
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: #4 0x556790948430 i resource:///org/gnome/shell/ui/layout.js:531 (0x7f741c2042b8 @ 127)
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: #5 0x7ffd398e2130 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f741c3b5de0 @ 71)
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: #6 0x7ffd398e2130 I self-hosted:915 (0x7f741c3f12b8 @ 367)
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: == Stack trace for context 0x5567905a0340 ==
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: #0 0x7ffd398e1420 b resource:///org/gnome/shell/ui/osdWindow.js:206 (0x7f741c2c96f8 @ 231)
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: #1 0x7ffd398e1490 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f741c3b5de0 @ 71)
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: #2 0x7ffd398e1490 I self-hosted:915 (0x7f741c3f12b8 @ 367)
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: #3 0x7ffd398e1520 I resource:///org/gnome/gjs/modules/signals.js:128 (0x7f741c3d3230 @ 386)
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: #4 0x556790948430 i resource:///org/gnome/shell/ui/layout.js:531 (0x7f741c2042b8 @ 127)
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: #5 0x7ffd398e2130 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f741c3b5de0 @ 71)
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: #6 0x7ffd398e2130 I self-hosted:915 (0x7f741c3f12b8 @ 367)
Jun 13 00:07:19 meeks org.gnome.Shell.desktop[2506]: == Stack trace for context 0x5567905a0340 ==
Jun 1...

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Yes, that seems to be the same bug as this.

Revision history for this message
Michael (zombeer) wrote :

Confirming bug.
Ubuntu 18.04
GNOME Shell 3.28.1

The problem seems to occur on lock screen... Having about +3-5M of syslog weight per 10 sec of the lock screen.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

In Ubuntu 18.10 I am seeing almost zero log messages and no bug... It's the same version of gnome-shell as in 18.04: 3.28.1-0ubuntu2

Michael, do you have any notifications pending when the problem occurs (as strangedata mentions in comment #9)?

Revision history for this message
David (0xdf) wrote :

I realize I don't know that much about what's going on under the hood, but it seems to have slowed considerably for me. I was on vacation for a week in the middle, and since getting back (and perhaps some updates?), it doesn't seem to be as big an issue any more.

Let me know if there's any further information you'd like from my computer.

Revision history for this message
km (km-mathcs) wrote :
Download full text (15.7 KiB)

My syslog is filling up too. Is this the same bug, or do I need to open a new one?

This is Ubuntu 18.04 with gnome-shell
$ dpkg -l |grep gnome-shell
ii chrome-gnome-shell 10-1 all GNOME Shell extensions integration for web browsers
ii gnome-shell 3.28.1-0ubuntu2 amd64 graphical shell for the GNOME desktop
ii gnome-shell-common 3.28.1-0ubuntu2 all common files for the GNOME graphical shell
ii gnome-shell-extension-appindicator 18.04.1 all App indicators for GNOME Shell
ii gnome-shell-extension-ubuntu-dock 0.9.1 all Ubuntu Dock for GNOME Shell
ii gnome-shell-extensions 3.28.0-2 all Extensions to extend functionality of GNOME Shell

Jul 3 10:18:08 orac gnome-shell[3319]: Object St.Bin (0x556bccf61b20), has been already finalized. Impossible to set any property to it.
Jul 3 10:18:08 orac gnome-shell[3319]: Object St.Bin (0x556bccf61b20), has been already finalized. Impossible to set any property to it.
Jul 3 10:18:08 orac org.gnome.Shell.desktop[3319]: == Stack trace for context 0x556bcb726320 ==
Jul 3 10:18:08 orac org.gnome.Shell.desktop[3319]: #0 0x556bcbbb65c0 i resource:///org/gnome/shell/ui/userWidget.js:59 (0x7fe528055b38 @ 212)
Jul 3 10:18:08 orac org.gnome.Shell.desktop[3319]: #1 0x556bcbbb6518 i resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7fe5283b5de0 @ 71)
Jul 3 10:18:08 orac org.gnome.Shell.desktop[3319]: #2 0x556bcbbb6498 i resource:///org/gnome/shell/ui/components/polkitAgent.js:342 (0x7fe5100666f8 @ 59)
Jul 3 10:18:08 orac org.gnome.Shell.desktop[3319]: #3 0x556bcbbb63f0 i resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7fe5283b5de0 @ 71)
Jul 3 10:18:08 orac org.gnome.Shell.desktop[3319]: #4 0x556bcbbb6330 i self-hosted:915 (0x7fe5283f12b8 @ 367)
Jul 3 10:18:08 orac org.gnome.Shell.desktop[3319]: == Stack trace for context 0x556bcb726320 ==
Jul 3 10:18:08 orac org.gnome.Shell.desktop[3319]: #0 0x556bcbbb65c0 i resource:///org/gnome/shell/ui/userWidget.js:60 (0x7fe528055b38 @ 274)
Jul 3 10:18:08 orac org.gnome.Shell.desktop[3319]: #1 0x556bcbbb6518 i resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7fe5283b5de0 @ 71)
Jul 3 10:18:08 orac org.gnome.Shell.desktop[3319]: #2 0x556bcbbb6498 i resource:///org/gnome/shell/ui/components/polkitAgent.js:342 (0x7fe5100666f8 @ 59)
Jul 3 10:18:08 orac org.gnome.Shell.desktop[3319]: #3 0x556bcbbb63f0 i resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7fe5283b5de0 @ 71)
Jul 3 10:18:08 orac org.gnome.Shell.desktop[3319]: #4 0x556bcbbb6330 i self-hosted:915 (0x7fe5283f12b8 @ 367)
Jul 3 10:18:08 orac org.gnome.Shell.desktop[3319]: == Stack trace for context 0x556bcb726320 ==
Jul 3 10:18:08 orac org.gnome.Shell.desktop[3319]: #0 0x556bcbbb65c0 i resource:///org/gno...

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

km,

Yours is a different bug, with most of the stacks ending in: userWidget.js:59

Please first try removing any additional gnome-shell extensions you have installed (they won't appear in the dpkg -l list). If that doesn't help then open a new bug by running:

  ubuntu-bug gnome-shell

Revision history for this message
Gijs Peskens (gijspeskens) wrote :
Download full text (8.9 KiB)

Confirming this bug, also affects me.

We need an hotfix ASAP as this also leads to unbootable computers if root fs fills up (boot process hangs on starting of GDM, which might need to create some files).

Had system locked from thursday afternoon till this morning, 38 gig syslog, completely filling the root partition.

root@gijs-desktop:/var/log# tail -n60 syslog
Jul 30 03:35:45 gijs-desktop org.gnome.Shell.desktop[1949]: #4 0x7ffe182c1770 b resource:///org/gnome/shell/ui/layout.js:531 (0x7fd5e05042b8 @ 127)
Jul 30 03:35:45 gijs-desktop org.gnome.Shell.desktop[1949]: #5 0x7ffe182c17e0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7fd5e06b5de0 @ 71)
Jul 30 03:35:45 gijs-desktop org.gnome.Shell.desktop[1949]: #6 0x7ffe182c17e0 I self-hosted:915 (0x7fd5e06f12b8 @ 367)
Jul 30 03:35:45 gijs-desktop org.gnome.Shell.desktop[1949]: == Stack trace for context 0x5570af9fa320 ==
Jul 30 03:35:45 gijs-desktop org.gnome.Shell.desktop[1949]: #0 Jul 30 08:55:54 gijs-desktop gnome-shell[1949]: Object St.Button (0x5570b37372f0), has been already finalized. Impossible to set any property to it.
Jul 30 08:55:54 gijs-desktop gnome-shell[1949]: Object St.Button (0x5570b37372f0), has been already finalized. Impossible to set any property to it.
Jul 30 08:55:54 gijs-desktop org.gnome.Shell.desktop[1949]: == Stack trace for context 0x5570af9fa320 ==
Jul 30 08:55:54 gijs-desktop org.gnome.Shell.desktop[1949]: #0 0x5570afe1a580 i resource:///org/gnome/shell/ui/messageList.js:504 (0x7fd5e05b4de0 @ 83)
Jul 30 08:55:54 gijs-desktop org.gnome.Shell.desktop[1949]: #1 0x7ffe182b8480 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7fd5e06b5de0 @ 71)
Jul 30 08:55:54 gijs-desktop org.gnome.Shell.desktop[1949]: #2 0x7ffe182b8550 b self-hosted:917 (0x7fd5e06f12b8 @ 394)
Jul 30 08:55:54 gijs-desktop org.gnome.Shell.desktop[1949]: #3 0x5570afe1a4f0 i resource:///org/gnome/shell/ui/messageTray.js:1461 (0x7fd5e05a2a28 @ 121)
Jul 30 08:55:54 gijs-desktop org.gnome.Shell.desktop[1949]: #4 0x7ffe182ba4d0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7fd5e06b5de0 @ 71)
Jul 30 08:55:54 gijs-desktop org.gnome.Shell.desktop[1949]: #5 0x5570afe1a448 i resource:///org/gnome/shell/ui/messageTray.js:1448 (0x7fd5e05a29a0 @ 406)
Jul 30 08:55:54 gijs-desktop org.gnome.Shell.desktop[1949]: #6 0x7ffe182bb0b0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7fd5e06b5de0 @ 71)
Jul 30 08:55:54 gijs-desktop org.gnome.Shell.desktop[1949]: #7 0x5570afe1a390 i resource:///org/gnome/shell/ui/messageTray.js:1249 (0x7fd5e05a2340 @ 729)
Jul 30 08:55:54 gijs-desktop org.gnome.Shell.desktop[1949]: #8 0x7ffe182bbc90 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7fd5e06b5de0 @ 71)
Jul 30 08:55:54 gijs-desktop org.gnome.Shell.desktop[1949]: #9 0x5570afe1a2f8 i resource:///org/gnome/shell/ui/messageTray.js:1067 (0x7fd5e05a0e68 @ 124)
Jul 30 08:55:54 gijs-desktop org.gnome.Shell.desktop[1949]: #10 0x7ffe182bc880 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7fd5e06b5de0 @ 71)
Jul 30 08:55:54 gijs-desktop org.gnome.Shell.desktop[1949]: #11 0x7ffe182bc950 b self-hosted:917 (0x7fd5e06f12b8 @ 394)
Jul 30 08:55:54 gijs-desktop org.gnome.Shell.desktop[1...

Read more...

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Gijs,

Yours seems to be a different bug (mostly ending at messageList.js), so please open a new bug for that.

Revision history for this message
Rakesh (rakesh.shah) wrote :

I am facing this issue too. Is there a workaround as I have very limited disk space and this is killing it!

Aug 2 09:09:03 Bantam1 org.gnome.Shell.desktop[1532]: == Stack trace for context 0x55c6d5f34330 ==
Aug 2 09:09:03 Bantam1 org.gnome.Shell.desktop[1532]: #0 0x7ffc8ee86540 I resource:///org/gnome/shell/ui/osdWindow.js:206 (0x7f44101c96f8 @ 231)
Aug 2 09:09:03 Bantam1 org.gnome.Shell.desktop[1532]: #1 0x7ffc8ee865b0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f44103b5de0 @ 71)
Aug 2 09:09:03 Bantam1 org.gnome.Shell.desktop[1532]: #2 0x7ffc8ee865b0 I self-hosted:915 (0x7f44103f12b8 @ 367)
Aug 2 09:09:03 Bantam1 org.gnome.Shell.desktop[1532]: #3 0x7ffc8ee86650 I resource:///org/gnome/gjs/modules/signals.js:128 (0x7f44103d3230 @ 386)
Aug 2 09:09:03 Bantam1 org.gnome.Shell.desktop[1532]: #4 0x55c6d62daa10 i resource:///org/gnome/shell/ui/layout.js:531 (0x7f44101042b8 @ 127)
Aug 2 09:09:03 Bantam1 org.gnome.Shell.desktop[1532]: #5 0x7ffc8ee87240 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f44103b5de0 @ 71)
Aug 2 09:09:03 Bantam1 org.gnome.Shell.desktop[1532]: #6 0x7ffc8ee87240 I self-hosted:915 (0x7f44103f12b8 @ 367)

Revision history for this message
Aaron Kulbe (akulbe) wrote :

I am seeing this happen here, as well. Though my disk space issue isn't anywhere near as dire.

Revision history for this message
Jon Stoate (jonnos) wrote :

I have the same issue.

I am rotating syslog hourly - which isn't ideal but mitigates the problem for now.

Sep 9 19:48:58 tsunami org.gnome.Shell.desktop[1920]: == Stack trace for context 0x55813e634330 ==
Sep 9 19:48:58 tsunami org.gnome.Shell.desktop[1920]: #0 0x7ffd6a265310 I resource:///org/gnome/shell/ui/osdWindow.js:207 (0x7f0dd44c7780 @ 273)
Sep 9 19:48:58 tsunami org.gnome.Shell.desktop[1920]: #1 0x7ffd6a265380 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f0dd45b5de0 @ 71)
Sep 9 19:48:58 tsunami org.gnome.Shell.desktop[1920]: #2 0x7ffd6a265380 I self-hosted:916 (0x7f0dd45f12b8 @ 367)
Sep 9 19:48:58 tsunami org.gnome.Shell.desktop[1920]: #3 0x7ffd6a265420 I resource:///org/gnome/gjs/modules/signals.js:128 (0x7f0dd45d2230 @ 386)
Sep 9 19:48:58 tsunami org.gnome.Shell.desktop[1920]: #4 0x7ffd6a2654d0 b resource:///org/gnome/shell/ui/layout.js:531 (0x7f0dd44042b8 @ 127)
Sep 9 19:48:58 tsunami org.gnome.Shell.desktop[1920]: #5 0x7ffd6a265540 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f0dd45b5de0 @ 71)
Sep 9 19:48:58 tsunami org.gnome.Shell.desktop[1920]: #6 0x7ffd6a265540 I self-hosted:916 (0x7f0dd45f12b8 @ 367)

Revision history for this message
Charles Torry (ctorry) wrote :

Same issue here. Filled up hard drive pretty quickly and I have a 512GB SSD

Sep 16 11:15:27 brix-pro org.gnome.Shell.desktop[26988]: #0 0x7ffe78ba8ab0 I resource:///org/gnome/shell/ui/osdWindow.js:207 (0x7f49884c7780 @ 273)
Sep 16 11:15:27 brix-pro org.gnome.Shell.desktop[26988]: #1 0x7ffe78ba8b20 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f49885b5de0 @ 71)
Sep 16 11:15:27 brix-pro org.gnome.Shell.desktop[26988]: #2 0x7ffe78ba8b20 I self-hosted:916 (0x7f49885f12b8 @ 367)
Sep 16 11:15:27 brix-pro org.gnome.Shell.desktop[26988]: #3 0x7ffe78ba8bc0 I resource:///org/gnome/gjs/modules/signals.js:128 (0x7f49885d2230 @ 386)
Sep 16 11:15:27 brix-pro org.gnome.Shell.desktop[26988]: #4 0x555d11c8f210 i resource:///org/gnome/shell/ui/layout.js:531 (0x7f49884042b8 @ 127)
Sep 16 11:15:27 brix-pro org.gnome.Shell.desktop[26988]: #5 0x7ffe78ba97b0 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f49885b5de0 @ 71)
Sep 16 11:15:27 brix-pro org.gnome.Shell.desktop[26988]: #6 0x7ffe78ba97b0 I self-hosted:916 (0x7f49885f12b8 @ 367)
Sep 16 11:15:27 brix-pro org.gnome.Shell.desktop[26988]: == Stack trace for context 0x555d118ea330 ==

Revision history for this message
Anders Hall (a.hall) wrote :
Download full text (12.8 KiB)

Same issue, not as severe regarding disk space. No extensions active.

# NOTE: will only grep first line of stacktracce
journalctl -m | grep osdWindow.js | wc -l
3597

gnome-shell --version
GNOME Shell 3.28.3

Oct 8 11:15:02 computer gnome-shell[2515]: Object St.Icon (0x55a64961dc90), has been already finalized. Impossible to set any property to it.
Oct 8 11:15:02 computer gnome-shell[2515]: Object St.BoxLayout (0x55a647bf04e0), has been already finalized. Impossible to set any property to it.
Oct 8 11:15:02 computer gnome-shell[2515]: Object St.Icon (0x55a645fdf090), has been already finalized. Impossible to set any property to it.
Oct 8 11:15:02 computer gnome-shell[2515]: Object St.BoxLayout (0x55a649204c40), has been already finalized. Impossible to set any property to it.
Oct 8 11:15:02 computer gnome-shell[2515]: Object St.Icon (0x55a644e107e0), has been already finalized. Impossible to set any property to it.
Oct 8 11:15:02 computer org.gnome.Shell.desktop[2515]: == Stack trace for context 0x55a6441b7330 ==
Oct 8 11:15:02 computer org.gnome.Shell.desktop[2515]: #0 0x7ffd21e60e00 b resource:///org/gnome/shell/ui/osdWindow.js:206 (0x7f8f286c7780 @ 231)
Oct 8 11:15:02 computer org.gnome.Shell.desktop[2515]: #1 0x7ffd21e60e60 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f8f3c2b5de0 @ 71)
Oct 8 11:15:02 computer org.gnome.Shell.desktop[2515]: #2 0x7ffd21e60f20 b self-hosted:916 (0x7f8f3c2f12b8 @ 367)
Oct 8 11:15:02 computer org.gnome.Shell.desktop[2515]: #3 0x7ffd21e61010 b resource:///org/gnome/gjs/modules/signals.js:128 (0x7f8f3c2d2230 @ 386)
Oct 8 11:15:02 computer org.gnome.Shell.desktop[2515]: #4 0x55a644565880 i resource:///org/gnome/shell/ui/layout.js:531 (0x7f8f286042b8 @ 127)
Oct 8 11:15:02 computer org.gnome.Shell.desktop[2515]: #5 0x7ffd21e61c60 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f8f3c2b5de0 @ 71)
Oct 8 11:15:02 computer org.gnome.Shell.desktop[2515]: #6 0x7ffd21e61d20 b self-hosted:916 (0x7f8f3c2f12b8 @ 367)
Oct 8 11:15:02 computer org.gnome.Shell.desktop[2515]: == Stack trace for context 0x55a6441b7330 ==
Oct 8 11:15:02 computer org.gnome.Shell.desktop[2515]: #0 0x7ffd21e60e00 b resource:///org/gnome/shell/ui/osdWindow.js:207 (0x7f8f286c7780 @ 273)
Oct 8 11:15:02 computer org.gnome.Shell.desktop[2515]: #1 0x7ffd21e60e60 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f8f3c2b5de0 @ 71)
Oct 8 11:15:02 computer org.gnome.Shell.desktop[2515]: #2 0x7ffd21e60f20 b self-hosted:916 (0x7f8f3c2f12b8 @ 367)
Oct 8 11:15:02 computer org.gnome.Shell.desktop[2515]: #3 0x7ffd21e61010 b resource:///org/gnome/gjs/modules/signals.js:128 (0x7f8f3c2d2230 @ 386)
Oct 8 11:15:02 computer org.gnome.Shell.desktop[2515]: #4 0x55a644565880 i resource:///org/gnome/shell/ui/layout.js:531 (0x7f8f286042b8 @ 127)
Oct 8 11:15:02 computer org.gnome.Shell.desktop[2515]: #5 0x7ffd21e61c60 I resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f8f3c2b5de0 @ 71)
Oct 8 11:15:02 computer org.gnome.Shell.desktop[2515]: #6 0x7ffd21e61d20 b self-hosted:916 (0x7f8f3c2f12b8 @ 367)
Oct 8 11:15:02 computer gnome-shell[2515]: Object St.BoxLayout (0x55a644e10d80), has been a...

Revision history for this message
Paul Kramme (pkramme) wrote :

One of my workstations has this too. Which information is necessary for a fix?

gnome-shell --version
GNOME Shell 3.28.3

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Is anyone seeing this bug in Ubuntu 18.10 or is it already fixed there?

Revision history for this message
Angel D. Segarra (angel-segarra) wrote : Re: [Bug 1772677] Re: gnome-shell filling up syslog with thousands of entries (stack traces ending in osdWindow.js:206/207)

It's been removed from 18.10.

On Thu, Oct 11, 2018 at 9:51 PM Daniel van Vugt <
<email address hidden>> wrote:

> Is anyone seeing this bug in Ubuntu 18.10 or is it already fixed there?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1772677
>
> Title:
> gnome-shell filling up syslog with thousands of entries (stack traces
> ending in osdWindow.js:206/207)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1772677/+subscriptions
>

Changed in gnome-shell (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Mathieu Barquin (matbuntu) wrote : Re: gnome-shell filling up syslog with thousands of entries (stack traces ending in osdWindow.js:206/207)

I've upgraded to 18.10 the problem is still there ...

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Mathieu,

Please paste an example of the errors you see in 18.10 so we can verify it's the same bug.

Revision history for this message
Mathieu Barquin (matbuntu) wrote :
Download full text (13.6 KiB)

Here is it:
athieu@PC1:/var/log$ tail -100 syslog
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: #2 7fffb8a304b0 I self-hosted:977 (7fa2facf01f0 @ 413)
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: #3 7fffb8a30560 I resource:///org/gnome/gjs/modules/signals.js:128 (7fa2facc18b0 @ 386)
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: #4 55f922a9d330 i resource:///org/gnome/shell/ui/layout.js:538 (7fa2faa04310 @ 127)
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: #5 7fffb8a314e0 b resource:///org/gnome/gjs/modules/_legacy.js:82 (7fa2facb0b80 @ 71)
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: #6 7fffb8a320f0 b self-hosted:977 (7fa2facf01f0 @ 413)
Oct 16 17:33:33 PC1 gnome-shell[1993]: Object St.Icon (0x55f91fad6290), has been already deallocated — impossible to set any property on it. This might be caused by the object having been destroyed from C code using something such as destroy(), dispose(), or remove() vfuncs.
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: == Stack trace for context 0x55f91889c1e0 ==
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: #0 7fffb8a303a0 I resource:///org/gnome/shell/ui/osdWindow.js:223 (7fa2faac78b0 @ 231)
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: #1 7fffb8a30470 b resource:///org/gnome/gjs/modules/_legacy.js:82 (7fa2facb0b80 @ 71)
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: #2 7fffb8a304b0 I self-hosted:977 (7fa2facf01f0 @ 413)
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: #3 7fffb8a30560 I resource:///org/gnome/gjs/modules/signals.js:128 (7fa2facc18b0 @ 386)
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: #4 55f922a9d330 i resource:///org/gnome/shell/ui/layout.js:538 (7fa2faa04310 @ 127)
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: #5 7fffb8a314e0 b resource:///org/gnome/gjs/modules/_legacy.js:82 (7fa2facb0b80 @ 71)
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: #6 7fffb8a320f0 b self-hosted:977 (7fa2facf01f0 @ 413)
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: == Stack trace for context 0x55f91889c1e0 ==
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: #0 7fffb8a303a0 I resource:///org/gnome/shell/ui/osdWindow.js:224 (7fa2faac78b0 @ 273)
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: #1 7fffb8a30470 b resource:///org/gnome/gjs/modules/_legacy.js:82 (7fa2facb0b80 @ 71)
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: #2 7fffb8a304b0 I self-hosted:977 (7fa2facf01f0 @ 413)
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: #3 7fffb8a30560 I resource:///org/gnome/gjs/modules/signals.js:128 (7fa2facc18b0 @ 386)
Oct 16 17:33:33 PC1 gnome-shell[1993]: Object St.BoxLayout (0x55f91f5ab8c0), has been already deallocated — impossible to set any property on it. This might be caused by the object having been destroyed from C code using something such as destroy(), dispose(), or remove() vfuncs.
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: #4 55f922a9d330 i resource:///org/gnome/shell/ui/layout.js:538 (7fa2faa04310 @ 127)
Oct 16 17:33:33 PC1 org.gnome.Shell.desktop[1993]: #5 7fffb8a314e0 b resource:///org/gnome/gjs/modules/_legacy.js:82 (7fa2facb0b80 @ 71)
Oct 16 17:33:33 ...

Revision history for this message
Mathieu Barquin (matbuntu) wrote :

and:
mathieu@PC1:/var/log$ uname -a
Linux PC1 4.18.0-10-generic #11-Ubuntu SMP Thu Oct 11 15:13:55 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Mathieu,

Hmm, same source file osdWindow.js but different lines of code 223-224. And the callers are the same as this bug. So it sounds like the same bug in 18.10 but the line of code has moved.

Please verify that you do not have any gnome-shell extensions installed?

Revision history for this message
Angel D. Segarra (angel-segarra) wrote :

Apologies, this is indeed still happening in 18.10.

Revision history for this message
Mathieu Barquin (matbuntu) wrote :

Hi Daniel,
thanks, no gnome-shell extensions installed

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Angel, if you can then please confirm what lines of code you are seeing on 18.10.

Changed in gnome-shell (Ubuntu):
status: Incomplete → Confirmed
tags: added: cosmic
Changed in gnome-shell (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Mathieu Barquin (matbuntu) wrote :

Hi All,
any progress here ?
Thanks

Revision history for this message
Andrew Keynes (andrew-keynes) wrote :

I can confirm that this bug still exists in 18.04.

In my case in a completely fresh install with nothing added / configured except for chromium being installed (and packages updated).

Installed Friday afternoon and came back in to work Monday to find the disk full as per the original report.

Hardware in this instance is an Intel NUC7i3BNH - an identical system just installed does exactly the same thing.

Revision history for this message
Andrew Keynes (andrew-keynes) wrote :

I can also confirm that this is lock-screen related as it starts logging as soon as the screen is locked and stops when un-locked.

No notifications are evident.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

We know 18.04 has this bug.

If anyone experiences it in 18.10 then please also paste some output of it here so we can see how the bug has changed in the new release.

Revision history for this message
Andrew Keynes (andrew-keynes) wrote :

Reinstalled the same NUC with 18.10, installed package updates & rebooted.

Relevant syslog attached, detail starts at timestamp Oct 29 15:32:28 when installation was locked.

The stack traces appear to occur every 10 seconds once locked when checking the output of "grep osdWindow.js syslog".

Log excerpt with one block of traces:

Oct 29 15:32:28 grcnuc16 gnome-shell[3808]: Object St.Icon (0x556511f83350), has been already deallocated — impossible to set any property on it. This might be caused by the object having been destroyed from C code using something such as destroy(), dispose(), or remove() vfuncs.
Oct 29 15:32:28 grcnuc16 org.gnome.Shell.desktop[3808]: == Stack trace for context 0x5565111331c0 ==
Oct 29 15:32:28 grcnuc16 org.gnome.Shell.desktop[3808]: #0 5565119fed20 i resource:///org/gnome/shell/ui/osdWindow.js:223 (7f11417c78b0 @ 231)
Oct 29 15:32:28 grcnuc16 org.gnome.Shell.desktop[3808]: #1 7ffeba144840 b resource:///org/gnome/gjs/modules/_legacy.js:82 (7f11419b0b80 @ 71)
Oct 29 15:32:28 grcnuc16 org.gnome.Shell.desktop[3808]: #2 7ffeba145450 b self-hosted:977 (7f11419f01f0 @ 413)
Oct 29 15:32:28 grcnuc16 org.gnome.Shell.desktop[3808]: #3 7ffeba145540 b resource:///org/gnome/gjs/modules/signals.js:128 (7f11419c18b0 @ 386)
Oct 29 15:32:28 grcnuc16 org.gnome.Shell.desktop[3808]: #4 5565119fec98 i resource:///org/gnome/shell/ui/layout.js:538 (7f1141704310 @ 127)
Oct 29 15:32:28 grcnuc16 org.gnome.Shell.desktop[3808]: #5 5565119febf0 i resource:///org/gnome/gjs/modules/_legacy.js:82 (7f11419b0b80 @ 71)
Oct 29 15:32:28 grcnuc16 org.gnome.Shell.desktop[3808]: #6 5565119feb30 i self-hosted:977 (7f11419f01f0 @ 413)
Oct 29 15:32:28 grcnuc16 org.gnome.Shell.desktop[3808]: == Stack trace for context 0x5565111331c0 ==
Oct 29 15:32:28 grcnuc16 org.gnome.Shell.desktop[3808]: #0 5565119fed20 i resource:///org/gnome/shell/ui/osdWindow.js:224 (7f11417c78b0 @ 273)
Oct 29 15:32:28 grcnuc16 org.gnome.Shell.desktop[3808]: #1 7ffeba144840 b resource:///org/gnome/gjs/modules/_legacy.js:82 (7f11419b0b80 @ 71)
Oct 29 15:32:28 grcnuc16 org.gnome.Shell.desktop[3808]: #2 7ffeba145450 b self-hosted:977 (7f11419f01f0 @ 413)
Oct 29 15:32:28 grcnuc16 org.gnome.Shell.desktop[3808]: #3 7ffeba145540 b resource:///org/gnome/gjs/modules/signals.js:128 (7f11419c18b0 @ 386)
Oct 29 15:32:28 grcnuc16 org.gnome.Shell.desktop[3808]: #4 5565119fec98 i resource:///org/gnome/shell/ui/layout.js:538 (7f1141704310 @ 127)
Oct 29 15:32:28 grcnuc16 org.gnome.Shell.desktop[3808]: #5 5565119febf0 i resource:///org/gnome/gjs/modules/_legacy.js:82 (7f11419b0b80 @ 71)
Oct 29 15:32:28 grcnuc16 org.gnome.Shell.desktop[3808]: #6 5565119feb30 i self-hosted:977 (7f11419f01f0 @ 413)
Oct 29 15:32:28 grcnuc16 gnome-shell[3808]: Object St.BoxLayout (0x5565118f0710), has been already deallocated — impossible to set any property on it. This might be caused by the object having been destroyed from C code using something such as destroy(), dispose(), or remove() vfuncs.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Thanks. That seems to agree with comment #31.

summary: - gnome-shell filling up syslog with thousands of entries (stack traces
- ending in osdWindow.js:206/207)
+ gnome-shell filling up syslog with thousands of entries with stack
+ traces ending in osdWindow.js (lines 206/207 in bionic, lines 223/224 in
+ cosmic)
Changed in gnome-shell (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
Angel D. Segarra (angel-segarra) wrote : Re: gnome-shell filling up syslog with thousands of entries with stack traces ending in osdWindow.js (lines 206/207 in bionic, lines 223/224 in cosmic)

I'm sorry, I no longer use Ubuntu on my machines. But I can confirm this happened to me when the lockscreen is active.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Andrew, or anyone else experiencing this in 18.10, please report the bug here:

  https://gitlab.gnome.org/GNOME/gnome-shell/issues

and then tell us the new bug ID.

Revision history for this message
Andrew Keynes (andrew-keynes) wrote :

With some digging on the gnome gitlab i've actually found what looks like an existing bug report:

https://gitlab.gnome.org/GNOME/gnome-shell/issues/602

Looks like a fix was merged https://gitlab.gnome.org/GNOME/gnome-shell/merge_requests/243 a week ago.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Sounds like a fix, thanks.

Fix committed upstream, scheduled for release in gnome-shell 3.30.2 or 3.31.x, whichever happens first.

description: updated
Changed in gnome-shell (Ubuntu):
status: Confirmed → Triaged
Revision history for this message
Andrew Gatlabayan (andrew-gatlabayan) wrote :

Thanks for the update, Daniel! I am eagerly waiting. Switched of gnome-shell and would love to come back.

Revision history for this message
Mathieu Barquin (matbuntu) wrote :

Hi All,
any progress here ?
Thanks

Revision history for this message
experimancer (experimancer) wrote :
Download full text (4.2 KiB)

Hi all,

In Ubuntu 18.10 this bug is still here, my /var/log/syslog went to 38 GB in two hours.

$ uname -a
Linux plutot 4.18.0-13-generic #14-Ubuntu SMP Wed Dec 5 09:04:24 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

$ dpkg -l |grep gnome-shell
ii chrome-gnome-shell 10.1-1 all GNOME Shell extensions integration for web browsers
ii gnome-shell 3.30.1-2ubuntu1.18.10.1 amd64 graphical shell for the GNOME desktop
ii gnome-shell-common 3.30.1-2ubuntu1.18.10.1 all common files for the GNOME shell
ii gnome-shell-extension-appindicator 22-1 all AppIndicator/KStatusNotifierItem support for GNOME Shell
ii gnome-shell-extension-ubuntu-dock 63ubuntu1 all Ubuntu Dock for GNOME Shell
ii yaru-theme-gnome-shell 18.10.6 all Yaru GNOME Shell desktop theme from the Ubuntu Community

$ cat /var/log/syslog
... [millions of similar lines ]
....
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: #6 556ac620a830 i self-hosted:977 (7f36100f0280 @ 413)
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: == Stack trace for context 0x556ac2a75260 ==
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: #0 7fff170d96b0 b resource:///org/gnome/shell/ui/osdWindow.js:224 (7f35c7ac79d0 @ 273)
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: #1 7fff170d9780 b resource:///org/gnome/gjs/modules/_legacy.js:82 (7f36100b0b80 @ 71)
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: #2 7fff170d9840 b self-hosted:977 (7f36100f0280 @ 413)
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: #3 7fff170d9930 b resource:///org/gnome/gjs/modules/signals.js:128 (7f36100c18b0 @ 386)
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: #4 556ac620a998 i resource:///org/gnome/shell/ui/layout.js:538 (7f35c7a043a0 @ 127)
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: #5 556ac620a8f0 i resource:///org/gnome/gjs/modules/_legacy.js:82 (7f36100b0b80 @ 71)
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: #6 556ac620a830 i self-hosted:977 (7f36100f0280 @ 413)
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: == Stack trace for context 0x556ac2a75260 ==
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: #0 7fff170d96b0 b resource:///org/gnome/shell/ui/osdWindow.js:223 (7f35c7ac79d0 @ 231)
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: #1 7fff170d9780 b resource:///org/gnome/gjs/modules/_legacy.js:82 (7f36100b0b80 @ 71)
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: #2 7fff170d9840 b self-hosted:977 (7f36100f0280 @ 413)
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: #3 7fff170d9930 b resource:///org/gnome/gjs/modules/signals.js:128 (7f36100c18b0 @ 386)
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: #4 556ac620a998 i resource:///org/gnome/shell/ui/layout.js:538 (7f35c7a043a0 @ 127)
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: #5 556ac620a8f0 i resource:///org/gnome/gjs/modules/_legacy.js:82 (7f36100b0b80 @ 71)
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: #6 556ac620a830 i self-hosted:977 (7f36100f0280 @ 413)
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: == Stack trace for context 0x556ac2a75260 ==
Dec 24 03:51:59 pluto org.gnome.Shell.desktop[1940]: #0 7fff170d96b0 b res...

Read more...

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Ubuntu 19.04 will get the fix (in future, some time) via gnome-shell version 3.31.2 or later.

Ubuntu 18.10 will get the fix (in future, some time) via gnome-shell version 3.30.2 or later.

Ubuntu 18.04 doesn't seem to have the fix committed yet (gnome-3-28).

Revision history for this message
Jason Hunter (jhunterwu) wrote :

I don't understand this logic. So all of us using 18.04 LTS will have to live with this? Doesn't long term support indicate that this will get fixed?

There's no workaround?

Revision history for this message
experimancer (experimancer) wrote :

Thanks @vanvugt for telling us that in which gnome-shell versions the bug will be fixed.

However, this doesn't help us running Ubuntu 18.04 or 18.10 in production now, both systems are unusable cause after about 15 to 60 minutes minutes of inactivity during which the lock-screen kicks in the systems root disk will be 50 GB+ big which usually means that root file system is full and host becomes unresponsive or crashes and/or shutdowns.

The bug has been fixed in Gnome upstream 2 months, but still it hasn't been backported or released in Gnome-shell version thats in use in Ubuntu 18.04 LTS and 18.10. This is unacceptable.

I agree with many above (@jihunterwu etc,) that at the minimum Ubuntu/Canonical should release a workaround for Ubuntu 18.04 LTS and 18.10 because this bug is so critical and affects *all* 18.04 and 18.10 installations making their daily use impossible!

If anyone has found a way to make existing 18.04 or 18.10 installations usable, could you please post your workarounds or local fixes here, thanks.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

I suspect it's just a matter of no one else on the Desktop team is aware of this bug. To remedy that, I have already put it on their TODO list here: https://trello.com/c/17nGGFFL

Revision history for this message
Colin Law (colin-law) wrote :

@experimancer it is not correct to say that this problem affects all 18.04 and 18.10 installations, none of mine are seriously affected by it. It seems it only affects a small minority. This does not change the fact that for those affected it is a serious issue that needs to be addressed but it does explain why it has not been dealt with more urgently.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Yeah, I forgot to mention I can't reproduce this bug either... which reminds me to go looking in the fix to see if there's any hint.

Revision history for this message
Kevin Knapp (kbknapp) wrote :

I just got hit with this bug as well. Fresh Ubuntu 18.10 install on a Desktop (Ryzen 2995x, 32GB RAM, Vega 64, 250GB NVMe /, and 1TB Evo 860 SSD /home) with two monitors (1 vertical using DP, and one horizontal using HDMI), only thing I did post install was install a few flatpaks from flathub (Discord, Telegram, VSCode, Slack), and a snap (CLion) as well as a Rust toolchain (https://rustup.rs). Went to bed, went to work the next morning, and when I came up the computer appeared to be frozen as it wouldn't wake from sleep. After a hard reset and login, I noticed I couldn't do an update do to "disk full". Checked `df` and saw `/` was full. Quick checking of dirs lead to `/var/log/syslog` being 230GB from a single night/day of no use!

My plan is to do a re-install (with Kubuntu which is what it was prior to this install), however if there is something else I can provide that would help track down this bug I will (assuming I see a message prior to the nuke/pave).

Revision history for this message
Kevin Knapp (kbknapp) wrote :

One other bit of info I thought about that could be contributing is my horizontal monitor is hooked up to a cheap 4 port HDMI switch (not a true KVM switch, it's HDMI only). This seems to cause the monitor to flicker back and forth during boot / loading the splash page as it looks (to my untrained eye) like it can't decide if the HDMI is hooked up to a monitor or not. Once the login page is displayed though that particular problem is gone until the next boot.

Revision history for this message
lol nope (duckyduckyducky) wrote :

I'm experiencing this same issue as well. Syslog grew to >100GB overnight.

My configuration:
- Fresh install of Ubuntu 18.04.1
- HP z800 workstation with 2x Xeon X5680
- NVidia GTX 1070 Ti w/ 3 screens attached

I need to stick with LTS releases but if there is a way to install a particular version of gnome-shell with the bug addressed I'd be happy to give it a try.

summary: - gnome-shell filling up syslog with thousands of entries with stack
- traces ending in osdWindow.js (lines 206/207 in bionic, lines 223/224 in
- cosmic)
+ gnome-shell filling up syslog with thousands/millions of entries with
+ stack traces ending in osdWindow.js (lines 206/207 in bionic, lines
+ 223/224 in cosmic)
Changed in gnome-shell (Ubuntu):
status: Triaged → Fix Released
status: Fix Released → In Progress
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Revision history for this message
Daniel van Vugt (vanvugt) wrote :

We're working on getting this fix into all the current Ubuntu releases...

Can someone please fill in Test Case in the description at the top?

description: updated
description: updated
strangedata (rcteigao)
description: updated
description: updated
tags: added: multimonitor
Revision history for this message
Marco Trevisan (Treviño) (3v1n0) wrote :

This is fixed in disco (fix added in 3.30.1-3), and thus in 3.30.2-1ubuntu1

Changed in gnome-shell (Ubuntu):
status: In Progress → Fix Released
Iain Lane (laney)
Changed in gnome-shell (Ubuntu Bionic):
status: New → In Progress
Changed in gnome-shell (Ubuntu Cosmic):
status: New → In Progress
Changed in gnome-shell (Ubuntu Bionic):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in gnome-shell (Ubuntu Cosmic):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Does this mean that the fix for the bug in cosmic is not present in the 3.30.2-0ubuntu1.18.10.1 gnome-shell upload (currently in -proposed)?

Revision history for this message
Łukasz Zemczak (sil2100) wrote : Please test proposed package

Hello strangedata, or anyone else affected,

Accepted gnome-shell into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell/3.28.3+git20190124-0ubuntu18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gnome-shell (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
Revision history for this message
David (0xdf) wrote :

Just installed on my machine. Followed the instructions here: https://wiki.ubuntu.com/Testing/EnableProposed to enable the -proposed in the GUI.

Then I did create sudo vim /etc/apt/preferences.d/proposed-updates to limit proposed updates.

Then I ran:
sudo apt upgrade
sudo apt install gnome-shell/bionic-proposed

On reboot, I have:
$ gnome-shell --version
GNOME Shell 3.28.3

I've locked my computer for ~5 minutes twice, and have yet to see any issues in my syslog. I'll continue to monitor.

Also, I had an issue where any time I locked my screen or it went to sleep, my vms in Virtualbox would freeze and go into a state where I couldn't interact with them (though I could still ssh into them). That seems to be fixed here as well. Super excited if true.

Any issue if I go back into preferences and disable -proposed updates now?

Revision history for this message
Marco Trevisan (Treviño) (3v1n0) wrote :

No issue, you might have something more updated than actual archives though.

tags: added: verification-bionic verification-done
removed: verification-needed verification-needed-bionic
Changed in gnome-shell (Ubuntu Cosmic):
status: In Progress → Fix Committed
status: Fix Committed → In Progress
Revision history for this message
Brian Murray (brian-murray) wrote : Reminder of SRU verification policy change

Thank you for taking the time to verify this stable release fix. We have noticed that you have used the verification-done tag for marking the bug as verified and would like to point out that due to a recent change in SRU bug verification policy fixes now have to be marked with per-release tags (i.e. verification-done-$RELEASE). Please remove the verification-done tag and add one for the release you have tested the package in. Thank you!

https://wiki.ubuntu.com/StableReleaseUpdates#Verification

tags: added: verification-done-bionic verification-needed
removed: verification-bionic verification-done
Revision history for this message
Giampiero Salvi (giampisalvi) wrote :

I had the same issue, followed David's instructions, but I still get a rapidly expanding syslog file when I lock the screen. I am running Ubuntu 18.04.02 with gnome shell 3.28.3, dual monitor and intel graphics.

Something I can see is that when locked the screens are first turned to black, then they go in sleep mode, and then they suddenly come back to life, without any input. The continue these steps cyclically. My interpretation is that the asynchronous sleep mode between the two screens triggers a change in resolution that wakes the screens up and so on. But I can't confirm that.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Remember this bug is only about "entries with stack traces ending in osdWindow.js (lines 206/207 in bionic, lines 223/224 in cosmic)".

If you have any other problem then please open a new bug for it by running:

  ubuntu-bug gnome-shell

Revision history for this message
Brian Smith (bethemantis) wrote :

Is there any fix or workaround for this bug? I installed a brand new copy of Ubuntu 18.04 on a brand new 512 GB SSD three days ago on Saturday evening (2019-03-09). I installed online updates during installation. It is now Tuesday evening (2019-03-12). The computer has been locked for most of the time since installation.

In my /var/log directory, I have two enormous files:
syslog (188.2 GB)
syslog.1 (264.5 GB)

And one smaller compressed older file:
syslog.2.gz (313.6 MB)

(I can confirm the issue I am experiencing is the error related to "osdWindow.js:207" on 18.04.)

This needs a fix ASAP! I can't have my desktop filling up its storage with hundreds of gigs of errors every day! (~188 + ~264= ~452 GB in two or three days)

I've attached the output of ls -l /var/log for proof since these are some of the largest hard numbers I've seen mentioned in this thread.

Revision history for this message
Brian Smith (bethemantis) wrote :

Apologies for my previous message. Somehow I missed that a proposed fix was available for testing. I'm having trouble figuring out how to download the proposed fix, but I'm sure I can figure it out with time and research. It's been years since any variant of Linux has been my primary personal OS, so I'm still in the early stages of re-familiarizing myself with everything.

By the way, since I forgot to include it before:

uname -a
Linux Ubuntu-Desktop 4.18.0-16-generic #17~18.04.1-Ubuntu SMP Tue Feb 12 13:35:51 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

gnome-shell --version
GNOME Shell 3.28.3

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

You can download the .deb files containing the proposed fix for 18.04 from here:

https://launchpad.net/ubuntu/+source/gnome-shell/3.28.3+git20190124-0ubuntu18.04.1/+build/16422548

tags: added: verification-done
removed: verification-needed
Joe Wevers (jweversw)
Changed in gnome-shell (Ubuntu Bionic):
status: Fix Committed → Confirmed
status: Confirmed → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.28.3+git20190124-0ubuntu18.04.1

---------------
gnome-shell (3.28.3+git20190124-0ubuntu18.04.1) bionic; urgency=medium

  * New git snapshot release up to commit 24cdcc56d (LP: #1811900)
    - Don't fill journal with osdWindow errors (LP: #1772677)
    - Fix missing icon in keyboard indicator (LP: #1812266)
  * d/p/authPrompt-Do-not-enable-sensitivity-if-retries-are-disal.patch,
    d/p/authPrompt-Unset-preemptiveAnswer-on-reset.patch,
    d/p/gdm-util-Always-allow-to-retry-login-in-unlock-mode.patch,
    d/p/ibus-set-content-type-no-holdKeyboard.patch,
    d/p/popupMenu-Don-t-handle-key-presses-directly-if-there-are-.patch,
    d/p/st-button-Ignore-pointer-emulated-touch-events.patch,
    d/p/shell-ignore-invalid-window-monitor-index.patch,
    d/p/workspace-fix-repositioned-windows-in-activities.patch:
    - Removed patches applied upstream
  * d/p/StIcon-only-compute-shadow-pipeline-when-the-texture-is-p.patch,
    d/p/js-fix-invalid-access-errors.patch,
    d/p/js-ui-Choose-some-actors-to-cache-on-the-GPU.patch,
    d/p/optional-hot-corner.patch,
    d/p/st-texture-cache-Cancel-sliced-image-loading-on-target-ac.patch,
    d/p/workaround_crasher_fractional_scaling.patch:
    - Refreshed as per upstream changes
  * d/p/keyboard-Filter-redundant-FocusTracker-position-changed-s.patch,
    d/p/keyboard-Listen-to-IbusPanelService-focus-in-out-to-track.patch:
    - Fix OSK activation on X11 (LP: #1760399)
  * d/p/power-Label-the-PENDING_CHARGE-state-as-Not-Charging.patch:
    - Label the PENDING_CHARGE state as "Not Charging" (LP: #1745032)
  * d/p/debian/patches/volume-Add-back-sound-feedback-on-scroll.patch:
    - Add missing include (LP: #1811908)

 -- Marco Trevisan (Treviño) <email address hidden> Fri, 25 Jan 2019 18:29:40 +0000

Changed in gnome-shell (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Update Released

The verification of the Stable Release Update for gnome-shell has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
abdo (dric) wrote :

i have the same issue on fedora 31
gnome-shell is sending thousands of log messages
journalctl --disk-usage shows about 3G of logs and it's still increasing
i hope the fedora team fix this issue soon

Jun 04 15:58:12 FlyTech gnome-shell[1995]: Object St.Button (0x563924532260), has been already deallocated — impossible to get any property from it. This might be cause>
Jun 04 15:58:11 FlyTech gnome-shell[1995]: Object St.Button (0x5639245340a0), has been already deallocated — impossible to get any property from it. This might be cause>
Jun 04 15:58:11 FlyTech gnome-shell[1995]: #1 7ffc01b64a00 b self-hosted:975 (7f8025d2e160 @ 392)
Jun 04 15:58:11 FlyTech gnome-shell[1995]: #0 7ffc01b64950 b resource:///org/gnome/shell/ui/workspace.js:695 (7f8025c70160 @ 15)
Jun 04 15:58:11 FlyTech gnome-shell[1995]: == Stack trace for context 0x56391d0963b0 ==
Jun 04 15:58:11 FlyTech gnome-shell[1995]: #1 7ffc01b64a00 b self-hosted:975 (7f8025d2e160 @ 392)
Jun 04 15:58:11 FlyTech gnome-shell[1995]: #0 7ffc01b64950 b resource:///org/gnome/shell/ui/workspace.js:695 (7f8025c70160 @ 15)
Jun 04 15:58:11 FlyTech gnome-shell[1995]: == Stack trace for context 0x56391d0963b0 ==
Jun 04 15:58:11 FlyTech gnome-shell[1995]: Object St.Button (0x563924532260), has been already deallocated — impossible to get any property from it. This might be cause>

Changed in gnome-shell (Ubuntu Cosmic):
status: In Progress → Won't Fix
no longer affects: gnome-shell (Ubuntu Cosmic)
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers